Bug 1249942 - [docs] Heartbeats for AMQP 1.0 Qpid Messaging API
[docs] Heartbeats for AMQP 1.0 Qpid Messaging API
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: Messaging_Programming_Reference (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Scott Mumford
Michal Toth
Depends On:
Blocks: 1151446
  Show dependency treegraph
Reported: 2015-08-04 04:21 EDT by Michal Toth
Modified: 2015-10-08 09:11 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-08 09:11:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michal Toth 2015-08-04 04:21:45 EDT
Documentation BZ about heartbeat support for AMQP 1.0 Qpid Messaging API.

Original discussion can be found in bugzilla #1151446
Jared's last comment:

(In reply to Ken Giusti from comment #16)
> In summary - the documentation for connection heartbeats is not correct.  We
> should drop the recommendation to set heartbeats to 1/2 the tcp retransmit
> interval.  Applications should be free to determine how long a link remains
> unresponsive - not TCP.
> The semantics column should simply say something like this:
> Requests that heartbeats be sent every N seconds. If two successive
> heartbeats are missed the connection is considered lost and will fail or
> start the reconnect process if configured to do so.

This recommendation is now included in the docs. Thanks for providing this clarifying text, Ken.

Comment 1 Michal Toth 2015-08-04 04:44:27 EDT
Documentation seems ok apart from this minor error:

"Table 20.2. Broker List URL Options" you have there option "heartbeat" which should be "idle_timeout" as this table is for JMS client. 

You have it correctly written at the end of "16.5. Failover Behavior in Java JMS Clients" part, witch example.

Moving "back" to assigned from previous state on_qa (moved by Jared), before creating this documentation bugzilla.
Thank you
Comment 3 Scott Mumford 2015-09-02 20:46:11 EDT
Taking ownership of MRG-M bugs
Comment 6 Michal Toth 2015-09-14 02:09:22 EDT
I have verified the proposed change. Looks good.
Thank you
Comment 8 errata-xmlrpc 2015-10-08 09:11:03 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.